Skip to main content
POST
/
check_account
Checking the account for the possibility of replenishment
curl --request POST \
  --url https://api.m4solutions.io/gateway/v1/check_account \
  --header 'Content-Type: application/json' \
  --data '
{
  "shop_id": 1520,
  "payway": "card_payway_usd",
  "amount": "6320.91",
  "account": "150010000097",
  "account_details": {
    "name": "Adam"
  }
}
'
{
  "result": true,
  "message": "Ok",
  "error_code": 0,
  "data": {
    "account_info": {
      "first_name": "Adam",
      "last_name": "Smith"
    },
    "result": true,
    "provider_status": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.m4psp.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

sign
string
requestBody
required

Every API request must be signed so that we can identify your account.

The signature is transferred in the request body through the sign parameter, for example:

{
"shop_id": 1520,
"shop_order_id" : "5b0efa8a-153b-4421-abac-2aba4d772a86",
"amout": "6320.91",
"currency": 840,
"payway": "card_invoice_usd",
"description": "Payment for shop_id=1520",
"sign": "77a6f7a30876d480d4e771d08cb83800dd5cb874664c77e515ffc052b20293c6"
}
All further request examples do not include the "sign" parameter, nevertheless your real requests must include it in the request body where required.

Signature line is generated according to the following algorithm: all request parameters involved in signature generation are ordered in the alphabetical order of keys, the values are concatenated with a colon (":") and the account secret key is added at the end (without the: sign), a sha256 hash is generated from the resulting line and its hex representation is passed in the sign request parameter.

Example of signature generation for a method invoice/create:

  1. Determining the list of parameters. It looks as follows for the method in consideration:

Fields involved in request signature generation:

  • shop_id
  • shop_order_id
  • amount
  • currency
  • payway
  1. Let's sort keys in alphabetical sequence:

"amount", "currency", "payway", "shop_id", "shop_order_id"

  1. The line for generating the SHA256 hash will be as follows:

"6320.91:840:card_invoice_usd:1520:5b0efa8a-153b-4421-abac-2aba4d772a86account-secret-key"

Where account-secret-key is the secret identification key for your account. You can request a key from the support service.

  1. Let's get a hash expression of the generated line using Python code:
>>> string_to_sign = '6320.91:840:card_invoice_usd:1520:5b0efa8a-153b-4421-abac-2aba4d772a86account-secret-key'
>>> import hashlib
>>> sign = hashlib.sha256(string_to_sign.encode()).hexdigest()
>>> print(sign)
'77a6f7a30876d480d4e771d08cb83800dd5cb874664c77e515ffc052b20293c6'
You can check whether you have generated the signature correctly using the service https://www.xorbin.com/tools/sha256-hash-calculator.

Body

application/json
shop_id
integer
required

Unique shop identifier in the M4 system.

Example:

1520

payway
string
required

Payment direction for payout. Currency of receipt depends on the specified payment way.

There are two ways to get a list of all payment ways available to the shop:

  • Execute the API request "Receiving payment methods for payouts" shop_output_config/shop.
  • Request a register from the support service.
Maximum string length: 150
Pattern: ^[A-Za-z_,\[\]]+$
Example:

"card_payway_usd"

amount
string
required

Amount received or withdrawn. Example: "227.34"

Example:

"6320.91"

account
string
required

Account of the recipient of funds in the payment system or service. For example, phone, card number or steam login.

Example:

"150010000097"

account_details
Detailed account information · object

Detailed account information. If additional parameters were transferred in the /withdraw/try response in the account_info_config field, they must be transferred in the account_details field.

Example:
{ "name": "Adam" }

Response

200 - application/json

OK

result
boolean
required

Boolean value, in case of successful response it will be true, in case of error – false

Example:

true

message
string
required

A textual description of the error, in case of success - simply Ok

Example:

"Ok"

error_code
number
required

If this value is greater than 0, then the request ended with an error. Description of error codes

Example:

0

data
Account verification result · object
required